PHPExcel_Calculation_Functions

category | PHPExcel
package | PHPExcel_Calculation
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## DIV0

    DIV0() : string

Static

access | public
category | Error Returns

### Returns

`string`#Not Yet Implemented

## DUMMY

    DUMMY() : string

Static

access | public
category | Error Returns

### Returns

`string`#Not Yet Implemented

## ERROR_TYPE

    ERROR_TYPE(mixed $value) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

### Returns

`boolean`

## IS_BLANK

    IS_BLANK(mixed $value) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

### Returns

`boolean`

## IS_ERR

    IS_ERR(mixed $value) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

### Returns

`boolean`

## IS_ERROR

    IS_ERROR(mixed $value) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

### Returns

`boolean`

## IS_EVEN

    IS_EVEN(mixed $value) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

### Returns

`boolean`

## IS_LOGICAL

    IS_LOGICAL(mixed $value) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

### Returns

`boolean`

## IS_NA

    IS_NA(mixed $value) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

### Returns

`boolean`

## IS_NONTEXT

    IS_NONTEXT(mixed $value) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

### Returns

`boolean`

## IS_NUMBER

    IS_NUMBER(mixed $value) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

### Returns

`boolean`

## IS_ODD

    IS_ODD(mixed $value) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

### Returns

`boolean`

## IS_TEXT

    IS_TEXT(mixed $value) : boolean

Static

### Parameters

#### $value

`mixed`

Value to check

### Returns

`boolean`

## N

    N(\value $value) : \number

Static

Returns a value converted to a number

### Parameters

#### $value

`\value`

The value you want converted

### Returns

`\number`N converts values listed in the following table If value is or refers to N returns A number That number A date The serial number of that date TRUE 1 FALSE 0 An error value The error value Anything else 0

## NA

    NA() : string

Static

Excel Function: =NA()

Returns the error value #N/A #N/A is the error value that means "no value is available."

access | public
category | Logical Functions

### Returns

`string`#N/A!

## NAME

    NAME() : string

Static

Returns the error value #NAME?

access | public
category | Error Returns

### Returns

`string`#NAME?

## NULL

    NULL() : string

Static

Returns the error value #NULL!

access | public
category | Error Returns

### Returns

`string`#NULL!

## NaN

    NaN() : string

Static

Returns the error value #NUM!

access | public
category | Error Returns

### Returns

`string`#NUM!

## REF

    REF() : string

Static

Returns the error value #REF!

access | public
category | Error Returns

### Returns

`string`#REF!

## TYPE

    TYPE(\value $value) : \number

Static

Returns a number that identifies the type of a value

### Parameters

#### $value

`\value`

The value you want tested

### Returns

`\number`N converts values listed in the following table If value is or refers to N returns A number 1 Text 2 Logical Value 4 An error value 16 Array or Matrix 64

## VALUE

    VALUE() : string

Static

Returns the error value #VALUE!

access | public
category | Error Returns

### Returns

`string`#VALUE!

## VERSION

    VERSION() : string

Static

### Returns

`string`Version information

## _ifCondition()

    _ifCondition($condition)

Static

### Parameters

#### $condition

## Convert a multi-dimensional array to a simple 1-dimensional array

    flattenArray(array $array) : array

Static

### Parameters

#### $array

`array`

Array to be flattened

### Returns

`array`Flattened array

## Convert a multi-dimensional array to a simple 1-dimensional array, but retain an element of indexing

    flattenArrayIndexed(array $array) : array

Static

### Parameters

#### $array

`array`

Array to be flattened

### Returns

`array`Flattened array

## Convert an array to a single scalar value by extracting the first element

    flattenSingleValue(mixed $value) : mixed

Static

### Parameters

#### $value

`mixed`

Array or scalar value

### Returns

`mixed`

## Return the current Compatibility Mode

    getCompatibilityMode() : string

Static

access | public
category | Function Configuration

### Returns

`string`Compatibility Mode Possible Return values are: PHPExcel_Calculation_Functions::COMPATIBILITY_EXCEL 'Excel' PHPExcel_Calculation_Functions::COMPATIBILITY_GNUMERIC 'Gnumeric' PHPExcel_Calculation_Functions::COMPATIBILITY_OPENOFFICE 'OpenOfficeCalc'

## Return the current Return Date Format for functions that return a date/time (Excel, PHP Serialized Numeric or PHP Object)

    getReturnDateType() : string

Static

access | public
category | Function Configuration

### Returns

`string`Return Date Format Possible Return values are: PHPExcel_Calculation_Functions::RETURNDATE_PHP_NUMERIC 'P' PHPExcel_Calculation_Functions::RETURNDATE_PHP_OBJECT 'O' PHPExcel_Calculation_Functions::RETURNDATE_EXCEL 'E'

## isCellValue()

    isCellValue($idx)

Static

### Parameters

#### $idx

## isMatrixValue()

    isMatrixValue($idx)

Static

### Parameters

#### $idx

## isValue()

    isValue($idx)

Static

### Parameters

#### $idx

## Set the Compatibility Mode

    setCompatibilityMode(string $compatibilityMode) : boolean

Static

access | public
category | Function Configuration

### Parameters

#### $compatibilityMode

`string`

Compatibility Mode Permitted values are: PHPExcel_Calculation_Functions::COMPATIBILITY_EXCEL 'Excel' PHPExcel_Calculation_Functions::COMPATIBILITY_GNUMERIC 'Gnumeric' PHPExcel_Calculation_Functions::COMPATIBILITY_OPENOFFICE 'OpenOfficeCalc'

### Returns

`boolean`(Success or Failure)

## Set the Return Date Format used by functions that return a date/time (Excel, PHP Serialized Numeric or PHP Object)

    setReturnDateType(string $returnDateType) : boolean

Static

access | public
category | Function Configuration

### Parameters

#### $returnDateType

`string`

Return Date Format Permitted values are: PHPExcel_Calculation_Functions::RETURNDATE_PHP_NUMERIC 'P' PHPExcel_Calculation_Functions::RETURNDATE_PHP_OBJECT 'O' PHPExcel_Calculation_Functions::RETURNDATE_EXCEL 'E'

### Returns

`boolean`Success or failure

### Properties

##

    $ReturnDateType : string

access | private

##

    $_errorCodes : array

access | private

##

    $compatibilityMode : string

access | private

### Constants

    COMPATIBILITY_EXCEL

## COMPATIBILITY_GNUMERIC

    COMPATIBILITY_GNUMERIC

## COMPATIBILITY_OPENOFFICE

    COMPATIBILITY_OPENOFFICE

## RETURNDATE_EXCEL

    RETURNDATE_EXCEL

## RETURNDATE_PHP_NUMERIC

    RETURNDATE_PHP_NUMERIC

## RETURNDATE_PHP_OBJECT

    RETURNDATE_PHP_OBJECT